From dominik@hackl.dhs.org Mon May 16 09:13:44 2005
Date: Mon, 16 May 2005 18:12:18 +0200 (CEST)
From: Dominik Hackl <dominik@hackl.dhs.org>
To: greg@kroah.com
Subject: I2C: include of jiffies.h for some i2c drivers
Message-ID: <Pine.LNX.4.61.0505161757380.6518@mercury.foo>


This patch includes jiffies.h in two i2c drivers.
(jiffies.h is needed for the time_after function.)

Signed-off-by: Dominik Hackl <dominik@hackl.dhs.org>
Signed-off-by: Greg Kroah-Hartman <gregkh@suse.de>


---
 drivers/i2c/chips/asb100.c  |    1 +
 drivers/i2c/chips/sis5595.c |    1 +
 2 files changed, 2 insertions(+)

--- gregkh-2.6.orig/drivers/i2c/chips/asb100.c	2005-05-09 09:06:56.000000000 -0700
+++ gregkh-2.6/drivers/i2c/chips/asb100.c	2005-05-17 22:02:40.000000000 -0700
@@ -42,6 +42,7 @@
 #include <linux/i2c-sensor.h>
 #include <linux/i2c-vid.h>
 #include <linux/init.h>
+#include <linux/jiffies.h>
 #include "lm75.h"
 
 /*
--- gregkh-2.6.orig/drivers/i2c/chips/sis5595.c	2005-05-09 09:06:57.000000000 -0700
+++ gregkh-2.6/drivers/i2c/chips/sis5595.c	2005-05-17 22:02:40.000000000 -0700
@@ -57,6 +57,7 @@
 #include <linux/i2c.h>
 #include <linux/i2c-sensor.h>
 #include <linux/init.h>
+#include <linux/jiffies.h>
 #include <asm/io.h>
 
 
